Linux kernel (HWE) vulnerability

2017-06-22T00:00:00
ID USN-3333-1
Type ubuntu
Reporter Ubuntu
Modified 2017-06-22T00:00:00

Description

USN-3326-1 fixed vulnerabilities in the Linux kernel for Ubuntu 16.10. This update provides the corresponding updates for the Linux Hardware Enablement (HWE) kernel from Ubuntu 16.10 for Ubuntu 16.04 LTS.

It was discovered that the stack guard page for processes in the Linux kernel was not sufficiently large enough to prevent overlapping with the heap. An attacker could leverage this with another vulnerability to execute arbitrary code and gain administrative privileges